[19.10 FEAT] Extract crypto measurement data

Bug #1821918 reported by bugproxy on 2019-03-27
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Canonical Foundations Team
s390-tools (Ubuntu)
Undecided
Skipper Bug Screeners
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]

 * A new utility in s390-tools allows to access new measurements of the optional hardware components Express Crypto adapters. It is SRUed as part of hardware enabled exeption. Without this utility, it' hard to tell if crypto cards are operating as expected.

[Test Case]

 * Check that zcryptstats is now available
 * Check that zcryptstats can run against compatible crypto cards

[Regression Potential]

 * It's a new utility / component, thus cannot by definition regress. It's inert unless invoked by the user.

[Other Info]

 * Original bugreport:

Add a new tool 'zcryptstats' to the s390-tools package to to obtain and display measurement data from crypto adapters for capacity planning.

Upstream commit IDs on top of 2.8.0:
https://github.com/ibm-s390-tools/s390-tools/commit/5f2ddad6a83e04f6a64ea39619148c80e56c0814
https://github.com/ibm-s390-tools/s390-tools/commit/b165500b6987f3fcbbb6daee6d84d66af7fbd41f
https://github.com/ibm-s390-tools/s390-tools/commit/58189b878697fef3bf405fdd864bf40f2149ccc0
https://github.com/ibm-s390-tools/s390-tools/commit/7b4a05e5a36fd36ba1866047f6b4814f127ec846
https://github.com/ibm-s390-tools/s390-tools/commit/8be43a1f16923da037d5f5bffca73c433ca1231b
https://github.com/ibm-s390-tools/s390-tools/commit/43fcb694bfd2e4515ce131ea3aba2f81e8437757

This is a new tool with no dependencies.

It should also be added to Bionic s390tools-2.3.0

bugproxy (bugproxy) on 2019-03-27
tags: added: architecture-s39064 bugnameltc-176417 severity-medium targetmilestone-inin1904
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes) wrote :

Since we entered the 19.04 beta freeze, we probably need to wait until release before we can proceed on this ...

affects: linux (Ubuntu) → s390-tools (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Dimitri John Ledkov (xnox) wrote :

"It should also be added to Bionic s390tools-2.3.0" but can you explain in further details as to why? what's the justification there and motivation to write this new utility, and make it available on Bionic? given that it is new, will people even discover it?

------- Comment From <email address hidden> 2019-04-01 08:20 EDT-------
@Xnox: This new tool is described here https://github.com/ibm-s390-tools/s390-tools/commit/8be43a1f16923da037d5f5bffca73c433ca1231b...
It will be leveraged by the SSC appliances, getting better information regarding the crypto card performance and capacity planning.
And 18.04 is here the base. Does that answer your question?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-05-06 05:36 EDT-------
Change target Release to Ubuntu 19.10.

tags: added: targetmilestone-inin1910
removed: targetmilestone-inin1904
Frank Heimes (fheimes) on 2019-05-06
summary: - [19.04 FEAT] Extract crypto measurement data
+ [19.10 FEAT] Extract crypto measurement data
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-05-06 08:34 EDT-------
This tool will be part of the next tools release...

Dimitri John Ledkov (xnox) wrote :

There is inflight s390-tools SRU for bionic already.
The SRU after that one, will be uploaded with this change.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-05-23 08:05 EDT-------
S390-tools 2.9.0 already available and incl

Frank Heimes (fheimes) on 2019-08-08
Changed in s390-tools (Ubuntu):
status: New → Fix Released
information type: Private → Public
description: updated
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-09-09 06:04 EDT-------
Any news about the s390-tools SRU for bionic .. Many thx...

Hello bugproxy, or anyone else affected,

Accepted s390-tools into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.8.0-0ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in s390-tools (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Frank Heimes (fheimes) wrote :

Just tried the updated s390-tools package on disco with s390-tools 2.8.0-0ubuntu5.1 and it incl. zcryptstats.

tags: added: verification-done-disco
removed: verification-needed-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.8.0-0ubuntu5.1

---------------
s390-tools (2.8.0-0ubuntu5.1) disco; urgency=medium

  * Cherry-pick zcryptstats userspace utility for queriying statistics of
    hardware IBM Crypto Express adapters. LP: #1821918
  * Cherry-pick additional counters support for z14 mainframes in the
    utilities for CPU measurement facilities LP: #1836862

 -- Dimitri John Ledkov <email address hidden> Tue, 03 Sep 2019 11:00:42 +0100

Changed in s390-tools (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for s390-tools has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Frank Heimes (fheimes) on 2019-10-07
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Changed in s390-tools (Ubuntu Bionic):
status: New → In Progress

Hello bugproxy, or anyone else affected,

Accepted s390-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.3.0-0ubuntu3.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in s390-tools (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello bugproxy, or anyone else affected,

Accepted s390-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.3.0-0ubuntu3.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Frank Heimes (fheimes) wrote :

Just tried the updated s390-tools package on bionic in version s390-tools 2.3.0-0ubuntu3.5 and it incl. zcryptstats. zcryptstats can be called (in case hw crypto resources are in place), the output looks reasonable and the man page is there, too - hence successfully verified.
Updating the tag accordingly.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.3.0-0ubuntu3.5

---------------
s390-tools (2.3.0-0ubuntu3.5) bionic; urgency=medium

  * Fix zcryptstats build failure.

s390-tools (2.3.0-0ubuntu3.4) bionic; urgency=medium

  * Cherry-pick zcryptstats userspace utility for queriying statistics of
    hardware IBM Crypto Express adapters. LP: #1821918
  * Cherry-pick additional counters support for z14 mainframes in the
    utilities for CPU measurement facilities LP: #1836862

 -- Dimitri John Ledkov <email address hidden> Fri, 25 Oct 2019 12:07:18 +0100

Changed in s390-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2019-11-04
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2019-11-05 02:22 EDT-------
IBM Bugzilla -> closed, Fix Released with all requested distos

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers